%define languageenglazy Kirghiz
%define languagecode    ky
%define lc_ctype        ky_KG

%define upstream_version 20090415

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 8
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://borel.slu.edu/crubadan/
Source0:        http://ftp.gnu.org/gnu/aspell/dict/ky/aspell6-ky-0.01-0.tar.bz2

BuildRequires:  aspell
BuildRequires:  hunspell-devel
BuildRequires:  hunspell

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ky
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n aspell6-ky-0.01-0

%build
export LANG=ky_KG.utf8
preunzip -d *.cwl
cat *.wl > kirghiz.wordlist
wordlist2hunspell kirghiz.wordlist ky_KG
cp -p ky_affix.dat ky_KG.aff

%install
install -D -m 0644 -p ky_KG.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ky_KG.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright README doc/Crawler.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20090415.1-8.mga3
+ Revision: 353530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20090415.1-7.mga3
+ Revision: 325551
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20090415.1-6.mga2
+ Revision: 224730
- add requirement on locales (mga#4632)

* Fri Jan 27 2012 kamil <kamil> 0.20090415.1-5.mga2
+ Revision: 202110
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20090415.1-4.mga1
+ Revision: 69996
- Fix buildrequires
- imported package hunspell-ky

